Uploaded image for project: 'Ivy'
  1. Ivy
  2. IVY-1519

POM: If no dependency version is given it should be determined from the parent version

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 2.4.0
    • Fix Version/s: None
    • Component/s: Maven Compatibility
    • Labels:
      None

      Description

      When e.g. asm-commons is transitively retrieved (in my case as part of Robolectric), Ivy fails to determine the correct version of asm-tree which asm-commons depends on. Looking at asm-common's POM [1]:

      <project>
      <modelVersion>4.0.0</modelVersion>

      <parent>
      <artifactId>asm-parent</artifactId>
      <groupId>org.ow2.asm</groupId>
      <version>5.0.1</version>
      </parent>

      <name>ASM Commons</name>
      <artifactId>asm-commons</artifactId>
      <packaging>jar</packaging>

      <dependencies>
      <dependency>
      <artifactId>asm-tree</artifactId>
      <groupId>org.ow2.asm</groupId>
      </dependency>
      </dependencies>

      </project>

      So the asm-tree does not have a "<version>" tag, but the "<parent>" tag has. In that case Ivy should determine the version from the parent tag instead of hard-coding it do "working".

      [1] https://repo1.maven.org/maven2/org/ow2/asm/asm-commons/5.0.1/asm-commons-5.0.1.pom

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              sschuberth Sebastian Schuberth
            • Votes:
              1 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: